# Interface methods for submodule: ImageDuplicator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ImageDuplicator
class ImageDuplicatorProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInputImage(self, _arg) -> None:
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def Update(self) -> None:
		""""""
		...

